# TdApi.NotificationGroupType (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: NotificationGroupType

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NotificationGroupType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NotificationGroupType

Direct Known Subclasses:
  `TdApi.NotificationGroupTypeCalls`, `TdApi.NotificationGroupTypeMentions`, `TdApi.NotificationGroupTypeMessages`, `TdApi.NotificationGroupTypeSecretChat`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.NotificationGroupType extends TdApi.Object permits TdApi.NotificationGroupTypeMessages, TdApi.NotificationGroupTypeMentions, TdApi.NotificationGroupTypeSecretChat, TdApi.NotificationGroupTypeCalls
This class is an abstract base class. Describes the type of notifications in a notification group.

## Constructor Summary

Constructors
Constructor
Description
`NotificationGroupType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotificationGroupType

public NotificationGroupType()
Default class constructor.